Subject: Re: Problems with setup.exe
From: [email-masked] (Jonathan Larmour)
To: [email-masked]
Cc: [email-masked]
Date: Thu, 1 Jun 2000 16:11:52 +0100
Newsgroups: cygnus.gnu-win32

In article <[email-masked]> you write:
>
>> 	I know that setup.exe is a work in progress, and have heard 
>> that some major re-construction is under way, but I would like to 
>> know if there is a fix for this.  Every time I update a package using 
>> setup -u foo setup reverts my mount table back to the default, and 
>> re-writes cygwin.bat deleting any modifications I have made.
>
>Currently, no.  I have already added a bit that defaults the mount
>mode (text/binary) to the previous mount mode.  What do people *want*
>setup to do, and what are the possible dangers in doing that?

If you are doing a full setup, then it should be free to change the
mount mode. But if you are doing an upgrade, i.e. "setup -u", then
it shouldn't change anything beyond the upgraded packages. IMHO.

Is there going to be a "setup --help" BTW? I'm not sure enough people
know about the existence of "setup -u".

Jifl
-- 
Red Hat, 35 Cambridge Place, Cambridge, UK. CB2 1NS  Tel: +44 (1223) 728762
"Plan to be spontaneous tomorrow."  ||  These opinions are all my own fault

--
Want to unsubscribe from this list?
Send a message to [email-masked]